using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.Windows.Forms;

namespace Publishmentation
{
    class Customer
    {
        string customerName, customerFamily, address;
        Regex reg1;
        Match match;
        public string Address
        {
            get { return address; }
            set { address = value; }
        }

        public string CustomerFamily
        {
            get { return customerFamily; }
            set { customerFamily = value; }
        }

        public string CustomerName
        {
            get { return customerName; }
            set 
            {
               /*reg1 = new Regex(@"\S");
                match = reg1.Match(value);
                if (match.Success)
                    customerName = value;
                else
                    MessageBox.Show("!الگوی وارد شده صحیح نیست","خطا در ورود اطلاعات",MessageBoxButtons.OK,MessageBoxIcon.Error);
                /*/
                customerName = value;
            }
        }
        int customerId, tel;

        public int Tel
        {
            get { return tel; }
            set { tel = value; }
        }

        public int CustomerId
        {
            get { return customerId; }
            set {}
        }

    }
}
